package kr.gmtc.gw.standstatus.config;

import java.util.HashMap;
import java.util.LinkedHashMap;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import kr.gmtc.gw.standstatus.database.dto.DataLoadDTO;

@Configuration("appConfig")
public class AppConfig {
    
    @Value("${spring.profiles.group.default}")
	private String gsProfile;

    @Value("${kafka.consumer.group-id}")
	private String gskafkaConsumeGroup;

    @Value("${kafka.message.topic.recv.video}")
	private String gskafkaTopicRecvVideo;

    @Value("${kafka.message.topic.send.sttus}")
	private String gskafkaTopicSendSttus;

    @Value("${kafka.message.topic.send.alarm}")
	private String gskafkaTopicSendAlarm;



    @Bean(name = "dataLoadDTO")
	public DataLoadDTO dataLoadDTO(){
		return new DataLoadDTO();
	}

    @Bean(name = "queueManageBean")
    public QueueManageBean queueManageBean(){
        return new QueueManageBean();
    }

    
    @Bean(name = "testStandStsMap")
	public HashMap<String, String> testStandStsMap(){
		return new LinkedHashMap<String, String>();
	}

	@Bean(name = "testStandStsMapAI")
	public HashMap<String, String[]> testStandStsMapAI(){
		return new LinkedHashMap<String, String[]>();
	}
}
